io.agora.rtc

## Class AudioProcessingStats

- java.lang.Object
- - io.agora.rtc.AudioProcessingStats

-     public class AudioProcessingStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `delayMedianMs`
    `private int` | `delayMs`
    `private int` | `delayStandardDeviationMs`
    `private double` | `divergentFilterFraction`
    `private double` | `echoReturnLoss`
    `private double` | `echoReturnLossEnhancement`
    `private double` | `residualEchoLikelihood`
    `private double` | `residualEchoLikelihoodRecentMax`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioProcessingStats()`
    `AudioProcessingStats(double echoReturnLoss, double echoReturnLossEnhancement, double divergentFilterFraction, int delayMedianMs, int delayStandardDeviationMs, double residualEchoLikelihood, double residualEchoLikelihoodRecentMax, int delayMs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDelayMedianMs()`
    `int` | `getDelayMs()`
    `int` | `getDelayStandardDeviationMs()`
    `double` | `getDivergentFilterFraction()`
    `double` | `getEchoReturnLoss()`
    `double` | `getEchoReturnLossEnhancement()`
    `double` | `getResidualEchoLikelihood()`
    `double` | `getResidualEchoLikelihoodRecentMax()`
    `void` | `setDelayMedianMs(int delayMedianMs)`
    `void` | `setDelayMs(int delayMs)`
    `void` | `setDelayStandardDeviationMs(int delayStandardDeviationMs)`
    `void` | `setDivergentFilterFraction(double divergentFilterFraction)`
    `void` | `setEchoReturnLoss(double echoReturnLoss)`
    `void` | `setEchoReturnLossEnhancement(double echoReturnLossEnhancement)`
    `void` | `setResidualEchoLikelihood(double residualEchoLikelihood)`
    `void` | `setResidualEchoLikelihoodRecentMax(double residualEchoLikelihoodRecentMax)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### echoReturnLoss

          private double echoReturnLoss

    - #### echoReturnLossEnhancement

          private double echoReturnLossEnhancement

    - #### divergentFilterFraction

          private double divergentFilterFraction

    - #### delayMedianMs

          private int delayMedianMs

    - #### delayStandardDeviationMs

          private int delayStandardDeviationMs

    - #### residualEchoLikelihood

          private double residualEchoLikelihood

    - #### residualEchoLikelihoodRecentMax

          private double residualEchoLikelihoodRecentMax

    - #### delayMs

          private int delayMs

  - ### Constructor Detail

    - #### AudioProcessingStats

          public AudioProcessingStats()

    - #### AudioProcessingStats

          public AudioProcessingStats(double echoReturnLoss,
                                      double echoReturnLossEnhancement,
                                      double divergentFilterFraction,
                                      int delayMedianMs,
                                      int delayStandardDeviationMs,
                                      double residualEchoLikelihood,
                                      double residualEchoLikelihoodRecentMax,
                                      int delayMs)

  - ### Method Detail

    - #### getEchoReturnLoss

          public double getEchoReturnLoss()

    - #### setEchoReturnLoss

          public void setEchoReturnLoss(double echoReturnLoss)

    - #### getEchoReturnLossEnhancement

          public double getEchoReturnLossEnhancement()

    - #### setEchoReturnLossEnhancement

          public void setEchoReturnLossEnhancement(double echoReturnLossEnhancement)

    - #### getDivergentFilterFraction

          public double getDivergentFilterFraction()

    - #### setDivergentFilterFraction

          public void setDivergentFilterFraction(double divergentFilterFraction)

    - #### getDelayMedianMs

          public int getDelayMedianMs()

    - #### setDelayMedianMs

          public void setDelayMedianMs(int delayMedianMs)

    - #### getDelayStandardDeviationMs

          public int getDelayStandardDeviationMs()

    - #### setDelayStandardDeviationMs

          public void setDelayStandardDeviationMs(int delayStandardDeviationMs)

    - #### getResidualEchoLikelihood

          public double getResidualEchoLikelihood()

    - #### setResidualEchoLikelihood

          public void setResidualEchoLikelihood(double residualEchoLikelihood)

    - #### getResidualEchoLikelihoodRecentMax

          public double getResidualEchoLikelihoodRecentMax()

    - #### setResidualEchoLikelihoodRecentMax

          public void setResidualEchoLikelihoodRecentMax(double residualEchoLikelihoodRecentMax)

    - #### getDelayMs

          public int getDelayMs()

    - #### setDelayMs

          public void setDelayMs(int delayMs)